Page MenuHomePhabricator

[Matrix] Propagate and use shape info for binary operators.
ClosedPublic

Authored by fhahn on Dec 2 2019, 5:46 AM.

Details

Summary

This patch extends the current shape propagation and shape aware
lowering to also support binary operators. Those operators are uniform
with respect to their shape (shape of the input operands is the same as
the shape of their result).

Diff Detail

Event Timeline

fhahn created this revision.Dec 2 2019, 5:46 AM
Herald added a project: Restricted Project. · View Herald TranscriptDec 2 2019, 5:46 AM
Herald added a subscriber: hiraditya. · View Herald Transcript

Build result: FAILURE - Could not check out parent git hash "7cce39f9a1eab3a98b761b84d09e100b0ce56650". It was not found in the repository. Did you configure the "Parent Revision" in Phabricator properly? Trying to apply the patch to the master branch instead...

ERROR: arc patch failed with error code 1. Check build log for details.
Log files: console-log.txt, CMakeCache.txt

reames resigned from this revision.Dec 2 2019, 4:49 PM
fhahn updated this revision to Diff 233629.Dec 12 2019, 8:51 AM

Update test check after address computation simplification.

anemet accepted this revision.Dec 19 2019, 2:40 PM

LGTM!

llvm/test/Transforms/LowerMatrixIntrinsics/bigger-expressions-double.ll
493

Rebase glitch?

This revision is now accepted and ready to land.Dec 19 2019, 2:40 PM
This revision was automatically updated to reflect the committed changes.